//----------------------------------------------------------------------//
// FFT																	//
//																		//
//----------------------------------------------------------------------//
#ifndef FFTH
#define FFTH
//---------------------------------------------------------------------------
#include <math.h>
#include <complex>

//---------------------------------------------------------------------------
#define SAMPLES 64
#define FFTOUT SAMPLES/2-8

typedef std::complex<double> dcomplex;

class FFT {
private:
	dcomplex hst_buf[SAMPLES];	//obt@
	unsigned hst_ptr;			//obt@݈̌ʒu|C^

	dcomplex x[SAMPLES];

	double hnw[SAMPLES];		//njO
	dcomplex w_tbl[SAMPLES/2];	//twiddle factor ̕\
	int b_tbl[SAMPLES];			//rbgt\

public:
    double pws[FFTOUT];
	double mag[FFTOUT];

	FFT();
	~FFT();
	void update(double rel, double img = 0.0);
};
//---------------------------------------------------------------------------
#endif
