//----------------------------------------------------------------------//
// Motion Harmony	TEhݒ_CAO{bNX						//
//																		//
//----------------------------------------------------------------------//
#ifndef SndDlgH
#define SndDlgH
//----------------------------------------------------------------------------
#include <System.hpp>
#include <System.SysUtils.hpp>
#include <System.Classes.hpp>
#include <Vcl.Graphics.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.Buttons.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.Grids.hpp>
#include <Vcl.ComCtrls.hpp>

//----------------------------------------------------------------------------
class TSoundDlg : public TForm
{
__published:
	TCheckBox *AutoCheck;
	TCheckBox *PanCtlCheck;
	TCheckBox *SeqCheck1;
	TCheckBox *SeqCheck2;
	TComboBox *ComboBox2;
	TComboBox *ComboBox3;
	TComboBox *MidiOutDevCombo;
	TComboBox *ScaleCombo;
	TGroupBox *GroupBox1;
	TGroupBox *GroupBox2;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TLabel *VolumeLabel;
	TTrackBar *TrackBar1;

	void __fastcall FormShow(TObject *Sender);
	void __fastcall MidiOutDevComboChange(TObject *Sender);
	void __fastcall PrgChgChange(TObject *Sender);
	void __fastcall ScaleChange(TObject *Sender);
	void __fastcall PanCtlCheckClick(TObject *Sender);
	void __fastcall AutoCheckClick(TObject *Sender);
	void __fastcall TrackBar1Change(TObject *Sender);
	void __fastcall SeqCheck1Click(TObject *Sender);
	void __fastcall SeqCheck2Click(TObject *Sender);

private:

public:
	virtual __fastcall TSoundDlg(TComponent* AOwner);
};
//----------------------------------------------------------------------------
extern PACKAGE TSoundDlg *SoundDlg;
//----------------------------------------------------------------------------
#endif
