//----------------------------------------------------------------------//
// Motion Harmony	fUCݒ_CAO{bNX						//
//																		//
//----------------------------------------------------------------------//
#include <vcl.h>
#pragma hdrstop
#include "usr_wic.h"
#include "DsgnDlg.h"
#include "MainForm.h"

//---------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TDesignDlg *DesignDlg;

//---------------------------------------------------------------------
__fastcall TDesignDlg::TDesignDlg(TComponent* AOwner)
	: TForm(AOwner)
{
}
//---------------------------------------------------------------------------
void __fastcall TDesignDlg::FormShow(TObject *Sender)
{
	BgImgEdit->Text 		= MotHarmoMainForm->bgimg_file;
	BgImgCheckBox->Checked	= MotHarmoMainForm->enable_bgimg;
	StretchChkBox->Checked	= MotHarmoMainForm->stretch_bgimg;
	HideTbarChkBox->Checked = MotHarmoMainForm->hide_titlebar;
}

//---------------------------------------------------------------------------
//zF
void __fastcall TDesignDlg::ColButtonClick(TObject *Sender)
{
	int n = dynamic_cast<TButton *>(Sender)->Tag;

	switch (n) {
	case 0: ColorDialog1->Color = MotHarmoMainForm->col_background;	break;
	case 1: ColorDialog1->Color = MotHarmoMainForm->col_pen;	 	break;
	case 2: ColorDialog1->Color = MotHarmoMainForm->col_brush;		break;
	}
	if (ColorDialog1->Execute()) {
		switch (n) {
		case 0:
			MotHarmoMainForm->Color 		 = ColorDialog1->Color;
			MotHarmoMainForm->col_background = ColorDialog1->Color;
			break;
		case 1:
			MotHarmoMainForm->col_pen = ColorDialog1->Color;
			for (int i=0; i<24; i++)
				MotHarmoMainForm->harmo_sp[i]->Pen->Color = MotHarmoMainForm->col_pen;
			break;
		case 2:
			MotHarmoMainForm->col_brush = ColorDialog1->Color;
			for (int i=0; i<24; i++)
				MotHarmoMainForm->harmo_sp[i]->Brush->Color = MotHarmoMainForm->col_brush;
			break;
        case 3:
            MotHarmoMainForm->col_ring			   = ColorDialog1->Color;
			MotHarmoMainForm->CtrlRing->Pen->Color = MotHarmoMainForm->col_ring;
			break;
		}
    }
}

//---------------------------------------------------------------------------
//wi摜̑I
void __fastcall TDesignDlg::BgImgBtnClick(TObject *Sender)
{
	OpenPictDialog->Title  = "wi摜̑I";
	OpenPictDialog->Filter = GraphicFilter(__classid(Graphics::TBitmap))
		+ "|JPEGt@C(*.JPG)|*.JPG|PNGt@C(*.PNG)|*.PNG|GIFt@C(*.GIF)|*.GIF";
	OpenPictDialog->DefaultExt = "BMP";
	OpenPictDialog->FileName   = EmptyStr;
	OpenPictDialog->InitialDir = ExtractFilePath(MotHarmoMainForm->bgimg_file);
	if (OpenPictDialog->Execute()) {
		if (FileExists(OpenPictDialog->FileName)) {
			BgImgCheckBox->Checked			= false;
			MotHarmoMainForm->enable_bgimg	= false;
			MotHarmoMainForm->bgimg_file	= OpenPictDialog->FileName;
			MotHarmoMainForm->stretch_bgimg = StretchChkBox->Checked;
			BgImgEdit->Text = MotHarmoMainForm->bgimg_file;
			WIC_load_image(MotHarmoMainForm->bgimg_file, MotHarmoMainForm->bgimg);
			BgImgCheckBox->Checked			= true;
			MotHarmoMainForm->enable_bgimg	= true;
			MotHarmoMainForm->Repaint();
		}
	}
}
//---------------------------------------------------------------------------
void __fastcall TDesignDlg::BgImgCheckBoxClick(TObject *Sender)
{
	MotHarmoMainForm->enable_bgimg = BgImgCheckBox->Checked;
	MotHarmoMainForm->Repaint();
}
//---------------------------------------------------------------------------
void __fastcall TDesignDlg::StretchChkBoxClick(TObject *Sender)
{
	MotHarmoMainForm->stretch_bgimg = StretchChkBox->Checked;
	MotHarmoMainForm->Repaint();
}
//---------------------------------------------------------------------------
void __fastcall TDesignDlg::HideTbarChkBoxClick(TObject *Sender)
{
	MotHarmoMainForm->hide_titlebar = HideTbarChkBox->Checked;
}

//---------------------------------------------------------------------------

